%define major 25
%define libname %mklibname opts %{major}
%define libnamedevel %mklibname %{name} -d
%define libnamestaticdevel %mklibname %{name} -d -s

Summary:	Tool for autogenerating code
Name:		autogen
Version:	5.18.16
Release:	%mkrel 2
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gnu.org/software/autogen/
Source0:	http://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	guile
BuildRequires:	guile-runtime
BuildRequires:	pkgconfig(libxml-2.0)

%description
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Development/Other
Obsoletes:  lib64autogen0

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libnamestaticdevel}
Summary:	Static libraries for %{name}
Group:		Development/Other
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}

%description -n	%{libnamestaticdevel}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-implicit-fallthrough -Wno-format-overflow \
                -Wno-format-truncation"
%configure2_5x --disable-dependency-tracking
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/man?/*
%{_datadir}/aclocal/*
%{_datadir}/autogen/

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_bindir}/autoopts-config
%{_includedir}/autoopts/
%{_libdir}/*.so
%{_libdir}/autogen/tpl-config.tlib
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdevel}
%{_libdir}/*.a


%changelog
* Sun Jun 02 2019 tex - 5.18.16-2pclos2019
- rebuild against updates

* Fri Mar 15 2019 tex 5.18.16-1pclos2019
- New version 5.18.16
